| Haskell Hierarchical Libraries (parsec package) | Source code | Contents | Index

Text.ParserCombinators.Parsec.Expr

Portability | portable
Stability | provisional
Maintainer | daan@cs.uu.nl

Description
A helper module to parse "expressions". Builds a parser given a table of operators and associativities.
Documentation
data Assoc

Constructors

AssocNone |
AssocLeft |
AssocRight |

data Operator t st a

Constructors

Infix (GenParser t st (a -> a -> a)) Assoc |
Prefix (GenParser t st (a -> a)) |
Postfix (GenParser t st (a -> a)) |

type OperatorTable t st a = [[Operator t st a]]
buildExpressionParser :: OperatorTable tok st a -> GenParser tok st a -> GenParser tok st a
Produced by Haddock version 0.8